Skip to content

Set Home Location

PUT
/users/{user_id}/home-location
curl --request PUT \
--url https://example.com/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/home-location \
--header 'Content-Type: application/json' \
--data '{ "lat": 1, "lon": 1, "radius_meters": 1 }'
user_id
required
User Id
string format: uuid
Media typeapplication/json
HomeLocationUpdate
object
lat
required
Lat
number
>= -90 <= 90
lon
required
Lon
number
>= -180 <= 180
radius_meters
Any of:
integer
>= 10 <= 10000
Examplegenerated
{
"lat": 1,
"lon": 1,
"radius_meters": 1
}

Successful Response

Media typeapplication/json
UserRead
object
avatar_url
Any of:
string
created_at
required
Created At
string format: date-time
date_of_birth
Any of:
string format: date
display_name
required
Any of:
string
email
required
Email
string
first_name
Any of:
string
height_cm
Any of:
number
id
required
Id
string format: uuid
is_active
Is Active
boolean
default: true
is_admin
required
Is Admin
boolean
last_name
Any of:
string
preferences
Preferences
object
key
additional properties
any
timezone
required
Timezone
string
updated_at
required
Updated At
string format: date-time
weight_kg
Any of:
number
Example
{
"is_active": true
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}